clear
%
% Definiao do sinal
%

fraq=1200;
dt=1/fraq;

m=10;
N=2^m;


Tf=(N-1)*dt;
t=0:dt:Tf;

for j=1:5
  A(j)=3+2*sin(j);
  F(j)=50+3.5^j;
  Sk(j,:)=A(j)*sin(2*pi*F(j)*t);
end

S=sum(Sk,1);

figure;
plot(t,S);
pause();

SF=fft(S);

tamF=size(SF);

figure;
plot(SF);
pause();

figure;
plot(abs(SF));
pause();

df=fraq/N;
freq=0:df:(N-1)*df;

figure;
plot(freq,abs(SF));
pause();

figure;
plot(freq,angle(SF));
pause();

figure;
plot(freq,real(SF));
pause();

