clear
%
% Definiao do sinal
%

fraq=1200;
dt=1/fraq;

m=10;
N=2^m;

Ng=20;
Tf=(Ng*N-1)*dt;
t=0:dt:Tf;

for j=1:5
  A(j)=3+2*sin(j);
  F(j)=50+3.5^j;
  Sk(j,:)=A(j)*sin(2*pi*F(j)*t);
end

[lin,col]=size(t);
S=sum(Sk,1);
for j=1:col
    Sr(j)=S(j)+normrnd(0,6);
end

figure(1);
plot(t,S);
hold all;
pause() 
plot(t,Sr);
pause();
hold off;

figure(2)
df=fraq/N;
freq=0:df:(N-1)*df;

Nm=8;
for k=1:Nm 
  k_ini=(k-1)*N+1;
  k_fim=k*N;
  SF(k,:)=abs(fft(Sr(k_ini:k_fim)));
  plot(freq,SF(k,:));
  hold all
  pause()
end
hold off;

for j=1:N
    SFm(j)=0;
    for k=1:Nm
        SFm(j)=SFm(j)+SF(k,j);
    end
    SFm(j)=SFm(j)/Nm;
end


figure(3);
plot(freq,SFm);
pause();

