clear
%
% Definiao do sinal
%

[ARQ,fraq,bits]=wavread('40km_1450RPM.wav');
[lin,col]=size(ARQ)
S=ARQ(:,1)';
[lin,Nt]=size(S)

dt=1/fraq;

m=10;
N=2^m;

Tf=(Nt-1)*dt;
t=0:dt:Tf;

Sr=S;
% [lin,col]=size(t);
% S=sum(Sk,1);
% for j=1:col
%     Sr(j)=S(j)+normrnd(0,6);
% end

figure(1);
plot(t,S);
hold all;
pause() 
plot(t,Sr);
pause();
hold off;

figure(2)
df=fraq/N;
freq=0:df:(N-1)*df;

Nm=100;
for k=1:Nm 
  k_ini=(k-1)*N+1;
  k_fim=k*N;
  SF(k,:)=abs(fft(Sr(k_ini:k_fim)));
  plot(freq,SF(k,:));
  hold all
  pause()
end
hold off;

for j=1:N
    SFm(j)=0;
    for k=1:Nm
        SFm(j)=SFm(j)+SF(k,j);
    end
    SFm(j)=SFm(j)/Nm;
end


figure(3);
plot(freq,SFm);
pause();

